Bug 728554

Summary: SELinux is preventing /usr/sbin/lircd (deleted) from 'read' accesses on the lnk_file usb1.
Product: [Fedora] Fedora Reporter: Jan Willies <jan>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:6db8ef16df8e125b5f05ffe142e3ac845491863f635ebf80eae6124215e323e2
Fixed In Version: selinux-policy-3.9.16-38.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-07 00:18:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Willies 2011-08-05 14:37:49 UTC
SELinux is preventing /usr/sbin/lircd (deleted) from 'read' accesses on the lnk_file usb1.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that lircd (deleted) should be allowed read access on the usb1 lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep lircd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:lircd_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                usb1 [ lnk_file ]
Source                        lircd
Source Path                   /usr/sbin/lircd (deleted)
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul
                              29 18:46:53 UTC 2011 x86_64 x86_64
Alert Count                   3
First Seen                    Fr 05 Aug 2011 16:36:46 CEST
Last Seen                     Fr 05 Aug 2011 16:36:46 CEST
Local ID                      39542212-35fa-4f63-af7e-9e93174e2178

Raw Audit Messages
type=AVC msg=audit(1312555006.910:627): avc:  denied  { read } for  pid=3644 comm="lircd" name="usb1" dev=sysfs ino=11278 scontext=system_u:system_r:lircd_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=lnk_file


type=SYSCALL msg=audit(1312555006.910:627): arch=x86_64 syscall=open success=no exit=EACCES a0=7fff7d784d40 a1=0 a2=1b6 a3=9 items=0 ppid=1 pid=3644 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=lircd exe=2F7573722F7362696E2F6C69726364202864656C6574656429 subj=system_u:system_r:lircd_t:s0 key=(null)

Hash: lircd,lircd_t,sysfs_t,lnk_file,read

audit2allow

#============= lircd_t ==============
allow lircd_t sysfs_t:lnk_file read;

audit2allow -R

#============= lircd_t ==============
allow lircd_t sysfs_t:lnk_file read;

Comment 1 Daniel Walsh 2011-08-05 14:52:25 UTC
This is allowed in F16/F17 policy

Comment 2 Miroslav Grepl 2011-08-11 11:29:27 UTC
Fixed in selinux-policy-3.9.16-38.fc15

Comment 3 Fedora Update System 2011-08-11 20:39:02 UTC
selinux-policy-3.9.16-38.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-38.fc15

Comment 4 Fedora Update System 2011-08-12 18:19:41 UTC
Package selinux-policy-3.9.16-38.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-38.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-38.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-07 00:16:46 UTC
selinux-policy-3.9.16-38.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.